missing libraries for NAMD 2.7 on Linux cluster?

From: Erik Nordgren (c.e.nordgren_at_gmail.com)
Date: Sat Nov 07 2009 - 01:09:17 CST

Hello folks,

I use a Red Hat Linux 9, Xeon-based cluster with PBS job scheduling to
run NAMD. I recently tried switching from NAMD 2.5 (which ran fine,
using the standard Linux binary) to NAMD 2.7 (using the pre-compiled
binary for "NAMD_2.7b1_Linux-x86") and unfortunately, the latter
failed to run -- I see error messages like the following:

/data/apps/NAMD_2.7b1_Linux-x86/namd2: /lib/tls/libc.so.6: version
`GLIBC_2.3.4' not found (required by
/data/apps/NAMD_2.7b1_Linux-x86/namd2)
        libdl.so.2 => /lib/libdl.so.2 (0x40028000)
        libm.so.6 => /lib/tls/libm.so.6 (0x4002b000)
        libstdc++.so.6 => not found
        libc.so.6 => /lib/tls/libc.so.6 (0x42000000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

I tried searching the forum archives here for help, and I got the idea
that our cluster might be missing some needed C libraries, i.e., that
the libraries we have don't match those with which the binary was
compiled... does this seem like the basic problem? Can anyone suggest
a way to try to fix this? I suppose trying to compile NAMD 2.7 from
source on our cluster would be the next step, but since that might be
nontrivial, I figured first I would ask here as to whether there is
something simpler that I'm missing.

thanks,
Erik

-- 
C. Erik Nordgren, Ph.D.
Post-Doctoral Researcher
Dept. of Chemistry
University of Pennsylvania

This archive was generated by hypermail 2.1.6 : Wed Feb 29 2012 - 15:51:40 CST